Page MenuHomePhabricator

Remove Python 2.6, 2.7.0, 2.7.1 backports
Closed, ResolvedPublic

Description

backports.py was introduced to backport Python 2.7.2 functionality to Prior Python releases support was removed with Pywikbot 2.0 but re-enabled with Pywikibot 3.0 for a short time. Remove this outdated part after FutureWarning with next pywikibot release.

See T154771

Event Timeline

Xqt created this task.Feb 9 2020, 5:45 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptFeb 9 2020, 5:45 PM
Xqt triaged this task as Lowest priority.Feb 9 2020, 5:45 PM

Change 571074 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] Throw FutureWarning with backports.py functions

https://gerrit.wikimedia.org/r/571074

Change 571074 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] Throw FutureWarning with backports.py functions

https://gerrit.wikimedia.org/r/571074

Dvorapa added a subscriber: Dvorapa.Feb 9 2020, 9:10 PM

Any other similar really old script we could remove in the next release?

Xqt added a comment.Feb 10 2020, 5:05 AM

Any other similar really old script we could remove in the next release?

T183085

Change 577593 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] remove Python 2.6 backports

https://gerrit.wikimedia.org/r/577593

Change 577593 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] remove Python 2.6 backports

https://gerrit.wikimedia.org/r/577593

Xqt closed this task as Resolved.Mar 6 2020, 5:52 PM
Xqt claimed this task.